PIXBACKGND
1
BRL-CAD
BRL-CAD

# pixbackgnd

generate a pix(5) shaded background

      pixbackgnd
        -h
        -i
        -s squaresize
        -w width
        -n height
        -t title_height
        -a top_inten
        -b bottom_inten
        hue
        saturation
        >
        file.pix

      pixbackgnd
        -h
        -i
        -s squaresize
        -w width
        -n height
        -t title_height
        red
        green
        blue
        >
        file.pix

## DESCRIPTION

Pixbackgnd generates a pix 5 format shaded background on stdout suitable for making slides for a presentation on. The upper portion of the screen is reserved for a title area, and is drawn at constant intensity 240, followed by a 4 scanline white bar, after which the intensity smoothly decreases from 240 to 50. Hue and saturation are values from 0 to 255 and can be selected via fbcolor 1. A hue of 160 is a pleasing blue.

By default, the title height is 80 scanlines, or 90 scanlines if the `-h` flag is set, but the `-t` title_height option may be used to specify another value. If title_height is set to zero, then the white bar is omitted as well, and the entire display is smoothly shaded.

By default, the display is assumed to be 512x512 pixels; by specifying the `-h` flag, the output size is changed to 1024x1024.

By specifying the `-i` flag, the scanlines will be written out in inverted order (i.e., top to bottom). This is mostly useful with programs like cat-fb 1

The `-a` and `-b` options can be used to set the top and bottom intensity, in the range of 0 to 255. By default, the top intensity is 240, and the bottom is 50.

## EXAMPLES

pixbackgnd 160 200 | pixmerge fg.pix - | pix-fb pixbackgnd -t120 160 250 pixbackgnd -i -t0 160 200 | cat-fb -O file.troff

## SEE ALSO

brlcad 1, fbcolor 1, pix-fb 1, pixmerge 1, cat-fb 1.

## BUGS

The starting and ending intensities should probably be an option.

## AUTHOR

BRL-CAD Team

## COPYRIGHT

This software is Copyright (c) 1989-2013 by the United States Government as represented by U.S. Army Research Laboratory.

## BUG REPORTS

Reports of bugs or problems should be submitted via electronic mail to <devs@brlcad.org>.